/**
 * 
 */
package org.ajax4jsf.bean;

import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import org.richfaces.model.CalendarDataModelItem;

/**
 * @author Andrey Markavtsov
 *
 */
public class CalendarDataModel implements org.richfaces.model.CalendarDataModel {

	/* (non-Javadoc)
	 * @see org.richfaces.model.CalendarDataModel#getData(java.util.Date[])
	 */
	public CalendarDataModelItem[] getData(Date[] dateArray) {
		CalendarDataModelItem[] items = new CalendarDataModelItemImpl[dateArray.length];
		for (int i = 0;i < items.length; i++) {
			items[i] = new CalendarDataModelItemImpl(dateArray[i]);
		}
		return items; 
	}

	/* (non-Javadoc)
	 * @see org.richfaces.model.CalendarDataModel#getToolTip(java.util.Date)
	 */
	public Object getToolTip(Date date) {
		return null;
	}

}

class CalendarDataModelItemImpl implements CalendarDataModelItem {
	
	int day;
	Object data;
	Calendar calendar;
	
	public CalendarDataModelItemImpl(Date date) {
        Calendar c = Calendar.getInstance();
        c.setTime(date);
        day = c.get(Calendar.DAY_OF_MONTH);
        this.data = "data" + day;
        this.calendar = c;
	}

	public Object getData() {
		return data;
	}

	public int getDay() {
		return day;
	}

	public String getStyleClass() {
		return  "styleClass" + this.calendar.get(Calendar.MONTH) + day;
	}

	public Object getToolTip() {
		return null;
	}

	public boolean hasToolTip() {
		return false;
	}

	public boolean isEnabled() {
		return day != 13;
	}
	
}
